#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Skipjack
Summary:	Crypt::Skipjack - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Skipjack - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Skipjack
Version:	1.0.2
Release:	17
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	46196172e7020917f8249f36f8b55c21
URL:		http://search.cpan.org/dist/Crypt-Skipjack/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Skipjack is the secret key encryption algorithm designed by the
National Security Agency, and is used in the Clipper chip and Fortezza
PC card. It was implemented in tamper-resistant hardware and its
structure had been classified since its introduction in 1993. Skipjack
was unclassified on June 24, 1998. Skipjack is an 80-bit key, 64-bit
block cipher. This module supports the Crypt::CBC interface.

%description -l pl.UTF-8
Skipjack to algorytm szyfrowania klucza tajnego opracowany przez NSA
(National Security Agency), używany w układzie Clipper i kartach PC
Fortezza. Był zaimplementowany w zabezpieczonym przed intruzami
sprzęcie, a jego struktura była zastrzeżona od wprowadzenia w 1993
roku do 24 czerwca 1998. Skipjack to 64-bitowy szyfr blokowy z
80-bitowym kluczem. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Skipjack.pm
%dir %{perl_vendorarch}/auto/Crypt/Skipjack
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Skipjack/Skipjack.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Skipjack.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> a9db2d1
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> b07b775
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 12a6da6
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dfa1fe0
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8b9a302
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 30ee7fc
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9c19fac
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> edca675
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 280d975
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5f0dcd5
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5ebfca2
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8ce16ca
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c5a04e3
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d10d38d
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2b705e4
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 20f5673
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7df510b
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> fde38a9
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 06cca93
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f2e25d0
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

